<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>Ejercicio 4</title>
</head>
<body onload="carga()">
	<script type="text/javascript">
		let imagenes = [];

		/*precarga de imagenes*/
		imagen1 = new Image();
		imagen2 = new Image();
		imagen1.src = "1.jpg";
		imagen2.src = "2.jpg";

		function carga(){
			document.foto.src = imagen1.src;
		}

		function cambia(){
			document.foto.src = imagen2.src;
		}
	</script>

	<img name="foto" onclick="cambia()">

</body>
</html>